>From 54451f34b571950ceeec4a74c0be12d4c50c7a3f Mon Sep 17 00:00:00 2001
From: Josh Triplett <josh@joshtriplett.org>
Date: Wed, 7 Dec 2016 16:22:37 -0800
Subject: [PATCH] section-descriptions: add Rust and JavaScript

---
 section-descriptions | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/section-descriptions b/section-descriptions
index 492fc729..ef5dfb5f 100644
--- a/section-descriptions
+++ b/section-descriptions
@@ -45,6 +45,7 @@ Aptitude::Sections
     interpreters "Interpreters for interpreted languages\n Packages in the 'interpreters' section include interpreters for languages like Lua, Pike, Smalltalk and Tcl, and libraries for these same languages. Some interpreted languages with many libraries like Perl, Python and Ruby have their own sections.";
     introspection	"Introspection support for programming languages\n Packages in the 'introspection' section provide support for introspection (initially for GObject).  Introspection means the capability of some programming languages to allow to examine the type and property information of an object at runtime.";
     java	"Java programming language and libraries\n Packages in the 'java' section provide the Java programming language and many third-party libraries for it. Unless you are a Java programmer, you don't need to install packages from this section explicitly; the package system will install them if they are required.";
+    javascript	"JavaScript programming language, libraries, and development tools\n Packages in the 'javascript' section provide implementations of the JavaScript programming language, development tools for JavaScript, and many third-party JavaScript libraries. These include libraries written to run in web browsers, and libraries for standalone JavaScript implementations such as node.js.";
     kde		"The KDE Desktop Environment\n KDE is a collection of software which provides an easy-to-use desktop.  Packages in the 'kde' section are part of the KDE environment or closely integrated into it.";
     kernel	"Kernel and kernel modules\n Packages in the 'kernel' section provide the core of the operating system.  They include the operating system kernel itself, along with extension modules providing features such as support for unusual hardware and support for running virtual machines.";
     libdevel	"Development files for libraries\n Packages in the 'libdevel' section contain files required for building programs that use libraries in the 'libs' section.  You don't need packages from this section unless you want to compile software yourself.";
@@ -64,6 +65,7 @@ Aptitude::Sections
     php		"PHP programming language and libraries\n Packages in the 'php' section provide the PHP programming language and many third-party libraries for it. Unless you are a PHP programmer, you don't need to install packages from this section explicitly; the package system will install them if they are required.";
     python	"Python programming language and libraries\n Packages in the 'python' section provide the Python programming language and many third-party libraries for it. Unless you are a Python programmer, you don't need to install packages from this section explicitly; the package system will install them if they are required.";
     ruby	"Ruby programming language and libraries\n Packages in the 'ruby' section provide the Ruby programming language and many third-party libraries for it. Unless you are a Ruby programmer, you don't need to install packages from this section explicitly; the package system will install them if they are required.";
+    rust	"Rust programming language, library crates, and development tools\n Packages in the 'rust' section provide the Rust programming language, the Cargo package management system, tools for Rust development, and packages of Rust library crate source code used to build applications written in Rust.";
     science	"Software for scientific work\n Packages in the 'science' section include tools for astronomy, biology, and chemistry, as well as other science-related software.";
     shells	"Command shells and alternative console environments\n Packages in the 'shells' section include programs providing a command-line interface.";
     sound	"Utilities to play and record sound\n Packages in the 'sound' section include sound players, recorders, and encoders for many formats, mixers and volume controls, MIDI sequencers and programs to generate musical notation, drivers for sound hardware, and sound processing software.";
-- 
2.11.0

